CREATE TABLE `PERF_CODIFICA` (
  `ID_CODIFICA` bigint(22) NOT NULL AUTO_INCREMENT,
  `ID_COMBANA` bigint(22) NOT NULL,
  `CODICE_OPERA_SUGGERITO` varchar(20) NOT NULL,
  `DATA_CODIFICA` datetime NOT NULL,
  `DIST_SEC_CANDIDATA` decimal(15,7) NOT NULL,
  `CONFIDENZA` decimal(15,7) NOT NULL,
  `VALORE_ECONOMICO` decimal(15,7) DEFAULT '0.0000000',
  `CANDIDATE` json NOT NULL,
  `TIPO_APPROVAZIONE` enum('A','M') DEFAULT 'M',
  `DATA_APPROVAZIONE` datetime DEFAULT NULL,
  `STATO_APPROVAZIONE` enum('P','A','M') DEFAULT NULL COMMENT 'P=PRIMA CANDIDATA\nA=ALTRA CANDIDATA\nM=CODICE OPERA MANUALE',
  `CODICE_OPERA_APPROVATO` varchar(45) DEFAULT NULL,
  `DATA_FINE_VALIDITA` datetime DEFAULT NULL,
  `N_UTILIZZAZIONI` bigint(22) DEFAULT NULL,
  `PREZIOSA` bit(1) DEFAULT b'0',
  PRIMARY KEY (`ID_CODIFICA`),
  UNIQUE KEY `ID_CODIFICA_UNIQUE` (`ID_CODIFICA`),
  KEY `fk_PERF_CODIFICA_PERF_COMBANA_idx` (`ID_COMBANA`),
  KEY `fk_PERF_CODIFICA_PERF_COMBANA` (`ID_COMBANA`),
  CONSTRAINT `fk_PERF_CODIFICA_PERF_COMBANA` FOREIGN KEY (`ID_COMBANA`) REFERENCES `PERF_COMBANA` (`ID_COMBANA`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB;
COMMIT;
